/****************************************************************************************************

		I3DExChildrenHandler.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	pascalc
		Date:	9/14/2005

****************************************************************************************************/

#ifndef __I3DExChildrenHandler__
#define __I3DExChildrenHandler__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCCompObj.h"
#include "I3DShTreeElement.h"
#include "I3DShInstance.h"

MCDEFINE_GUID_H(IID_I3DExChildrenHandler);

struct I3DExChildrenHandler : public IMCUnknown
{

	// ****************************************************************************
	//								AddChild
	// 
	/// Notify a children handler that one of its instance has a new child
	/// 
	/// \param child   the tree that is added
	/// \param parent  the instance that get a new child
	/// 
	virtual void AddChild(I3DShTreeElement* child, I3DShInstance* parent) = 0;
};



#endif
